%define upstream_name    Test-WWW-Mechanize-Catalyst
%define upstream_version 0.60

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Test::WWW::Mechanize for Catalyst
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst) >= 5.900.0
BuildRequires: perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires: perl(Catalyst::Plugin::Session::Store::Dummy)
BuildRequires: perl(Class::Load) >= 0.190.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(LWP) >= 5.816.0
BuildRequires: perl(Moose) >= 0.670.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::WWW::Mechanize) >= 1.140.0
BuildRequires: perl(Test::utf8)
BuildRequires: perl(WWW::Mechanize) >= 1.540.0
BuildRequires: perl(namespace::clean) >= 0.90.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Catalyst is an elegant MVC Web Application
Framework. Test::WWW::Mechanize is a subclass of WWW::Mechanize that
incorporates features for web application testing. The
Test::WWW::Mechanize::Catalyst module meshes the two to allow easy
testing of Catalyst applications without starting up a web server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL installdirs=vendor
%make

%check
%make test

%install
%make_install

%files
%doc CHANGES META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Test


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.600.0-3.mga6
+ Revision: 1034787
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.600.0-2.mga6
+ Revision: 968411
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.600.0-1.mga6
+ Revision: 852260
- update to 0.60

* Sat Oct 18 2014 umeabot <umeabot> 0.590.0-5.mga5
+ Revision: 787574
- Rebuild to add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.590.0-4.mga5
+ Revision: 748395
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.590.0-3.mga5
+ Revision: 736031
- add exclude

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.590.0-1.mga5
+ Revision: 588730
- update to 0.59

* Fri Oct 18 2013 umeabot <umeabot> 0.580.0-3.mga4
+ Revision: 515400
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.580.0-2.mga3
+ Revision: 373905
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 0.580.0-1.mga3
+ Revision: 268121
- update to 0.58

* Tue Jun 05 2012 jquelin <jquelin> 0.570.0-1.mga3
+ Revision: 255529
- update to 0.57

* Thu Nov 03 2011 jquelin <jquelin> 0.560.0-1.mga2
+ Revision: 162309
- update to 0.56

* Thu Oct 13 2011 jquelin <jquelin> 0.550.0-1.mga2
+ Revision: 154499
- update to 0.55
- update to 0.54

* Tue Feb 22 2011 jquelin <jquelin> 0.530.0-1.mga1
+ Revision: 56842
- update to 0.53

* Wed Jan 26 2011 jquelin <jquelin> 0.520.0-1.mga1
+ Revision: 41286
- mageia rebuild
- imported package perl-Test-WWW-Mechanize-Catalyst

